Skip to main content
DELETE
/
speakers
/
{id}
Delete speaker
curl --request DELETE \
  --url https://api.beyondwords.io/v1/speakers/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": 1,
  "first_name": "Jane",
  "last_name": "Doe",
  "avatar_url": "https://example.com/avatar.jpg",
  "created": "2023-12-31T00:00:00.000Z",
  "updated": "2023-12-31T00:00:00.000Z",
  "custom_voices": [
    {
      "id": 1
    },
    {
      "name": "Jane"
    },
    {
      "script_ids": [
        123,
        456
      ]
    },
    {
      "cloning_status": "script-preparation"
    },
    {
      "created": "2023-12-31T00:00:00.000Z"
    },
    {
      "updated": "2023-12-31T00:00:00.000Z"
    }
  ],
  "voices": [
    {
      "id": 1
    },
    {
      "name": "Jane"
    }
  ]
}
Deletes a speaker from your organization.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

speaker id

Query Parameters

custom_voices
enum<string>

The level of detail to show for custom_voices in the response: 'none' or 'partial'

Available options:
partial

Response

200 - application/json

successful

id
integer

Unique identifier for the object

first_name
string

The first name of the speaker

last_name
string | null

The last name of the speaker

avatar_url
string | null

The image URL of the speaker

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)

custom_voices
object[] | null

The custom voices for the speaker

voices
object[] | null

The voices for the speaker